// Generated by https://quicktype.io


import 'package:tahiti_app/src/models/chapter_model.dart';

class Units {
  
  List<Unit> items = [];

  Units();

  Units.fromJsonList( List<dynamic> jsonList){
    if(jsonList == null) return;

    for(var item in jsonList) {
      final unit = new Unit.fromJsonMap(item);
      this.items.add(unit);
    }
  }
}

class Unit {
  int id;
  String name;
  String description;
  String image;
  String imageResource;
  String createdAt;
  String updatedAt;
  List<Chapter> chapter;

  Unit({
    this.id,
    this.name,
    this.description,
    this.image,
    this.imageResource,
    this.createdAt,
    this.updatedAt,
    this.chapter,
  });

  Unit.fromJsonMap(Map<String, dynamic> json){
    id             = json['id'];
    name           = json['name'];
    description    = json['description'];
    image          = json['image'];
    imageResource  = json['image_resource'];
    createdAt      = json['created_at'];
    updatedAt      = json['updated_at'];
    chapter        = Chapters.fromJsonList(json['chapter']).items;
  }

  getImg(){

    if(imageResource == null) return 'https://imgclasificados5.emol.com/Publicador/116/F11922917111412972471611595531933226122116.png';
    
    return 'http://tutorial-tahiti.000webhostapp.com/${this.imageResource}';
  }

  int numeroUnidad() {
      List<String> nUnidad = name.split(' ');
      int numeroUnidad = int.parse(nUnidad[1]);
      return numeroUnidad;
  }

}
